Bug 109850 - No sound with Soundblaster and kernel 2.6
No sound with Soundblaster and kernel 2.6
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-12 07:41 EST by Martin Andersen
Modified: 2015-01-04 17:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-10 20:04:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Andersen 2003-11-12 07:41:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
I have a fully working Fedora core system with sound.
When installing kernel 2.6 and rebooting, there is no sound.

Version-Release number of selected component (if applicable):
kernel-2.6.0-0.test9.1.82.i686.rpm

How reproducible:
Always

Steps to Reproduce:
1.rpm -ivh kernel-2.6.0-0.test9.1.82.i686.rpm
2.Reboot and choose the new kernel in Grub
3.No sound
    

Actual Results:  No sound

Expected Results:  Sound

Additional info:

My system: Asus A7N8X (nForce2 chipset)
                  Athlon 2400+
                  Logitech MX300 USB mouse (connected to PS/2 via adapter)
                   512 MB ram
                   Seagate IV 80GB disk
                   Creative Soundblaster Live!
                   Logitech Internet keyboard (USB)
                   3Com netcard
Comment 1 sangu 2003-12-12 01:08:01 EST
Same Problem is my linux.
kernel-2.6.0-0.test11.1.13

below contents is /etc/modprobe.conf.

alias char-major-116 snd
alias sound-slot-0 snd-emu10k1
alias snd-card-0 snd-emu10k1
alias sound-service-0-0 snd-mixer-oss
alias sound-service-0-1 snd-seq-oss
alias sound-service-0-3 snd-pcm-oss
alias sound-service-0-8 snd-seq-oss
alias sound-service-0-12 snd-pcm-oss
 
install sound-slot-0 /sbin/modprobe --ignore-install sound-slot-0 && {
/bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1; /bin/true;  }
remove sound-slot-0 { /bin/aumix-minimal -f /etc/.aumixrc -S
>/dev/null 2>&1; /bin/true; }; /sbin/modprobe -r --ignore-remove
sound-slot-0

but below content is /etc/rc.d/rc.sysinit in initscripts-7.43-1

# Load sound modules if and only if they need persistent DMA buffers
if LC_ALL=C fgrep -q "options sound dmabuf=1" /etc/modules.conf
2>/dev/null ; then
  alias=`/sbin/modprobe -c | awk '/^alias sound / { print $3 }'`
  if [ -n "$alias" -a "$alias" != "off" ]; then
      action $"Loading sound module ($alias): " modprobe sound
  fi
  alias=`/sbin/modprobe -c | awk '/^alias sound-slot-0 / { print $3 }'`
  if [ -n "$alias" -a "$alias" != "off" ]; then
      action $"Loading sound module ($alias): " modprobe sound-slot-0
  fi
fi

moduls.conf is not, modprobe.conf is right in kernel 2.6.0?

execute "modprobe snd-emu10k1" in console, sound music.
Comment 2 Dave Jones 2004-06-18 19:25:47 EDT
Fixed in final FC2 ?
Comment 3 Dave Jones 2005-01-10 20:04:37 EST
closing due to inactivity.
 

Note You need to log in before you can comment on or make changes to this bug.